---
export interface Props {
  date: Date;
}

const { date } = Astro.props;
---

<time datetime={date.toISOString()} class="flex items-center text-sm font-semibold leading-6 text-rose-700">
  <svg viewBox="0 0 4 4" class="mr-4 h-1 w-1 flex-none" aria-hidden="true">
    <circle cx="2" cy="2" r="2" fill="currentColor" />
  </svg>
  {
    date.toLocaleDateString('de-DE', {
      year: 'numeric',
      month: 'short',
    })
  }
  <div class="absolute -ml-2 h-px w-screen -translate-x-full bg-gray-900/10 sm:-ml-4 lg:static lg:-mr-6 lg:ml-8 lg:w-auto lg:flex-auto lg:translate-x-0" aria-hidden="true"></div>
</time>
